<html lang="en">
<head>
<title>SGML declaration - psgml</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="psgml">
<meta name="generator" content="makeinfo 4.8">
<link title="Top" rel="start" href="index.html#Top">
<link rel="prev" href="Validate.html#Validate" title="Validate">
<link rel="next" href="Managing-the-DTD.html#Managing-the-DTD" title="Managing the DTD">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc    { font-variant:small-caps }
  span.roman { font-family:serif; font-weight:normal; } 
  span.sansserif { font-family:sans-serif; font-weight:normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="SGML-declaration"></a>
Next:&nbsp;<a rel="next" accesskey="n" href="Managing-the-DTD.html#Managing-the-DTD">Managing the DTD</a>,
Previous:&nbsp;<a rel="previous" accesskey="p" href="Validate.html#Validate">Validate</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="index.html#Top">Top</a>
<hr>
</div>

<!-- node-name,  next,  previous,  up -->
<h2 class="chapter">6 SGML Declaration</h2>

<p><a name="index-SHORTTAG-27"></a><a name="index-OMITTAG-28"></a>
PSGML does not understand the SGML declaration, it accepts one in the
file but it is ignored.  If you have the SGML declaration in another
file you can make <samp><span class="file">sgmls</span></samp> use it when you use the <kbd>C-c C-v</kbd>
(<code>sgml-validate</code>) command (see <a href="Validate.html#Validate">Validate</a>).

   <p>PSGML has some options in what features it uses and what markup it
creates.  You have to set these options to make PSGML's behavior
consistent with your SGML declaration and personal preferences.

<div class="defun">
&mdash; User Option: <b>sgml-omittag</b><var><a name="index-sgml_002domittag-29"></a></var><br>
<blockquote><p>Set this to <code>t</code> if the SGML declaration has `<samp><span class="samp">OMITTAG YES</span></samp>' and
to <code>nil</code> otherwise. 
</p></blockquote></div>

<div class="defun">
&mdash; User Option: <b>sgml-shorttag</b><var><a name="index-sgml_002dshorttag-30"></a></var><br>
<blockquote><p>Set this to <code>t</code> if the SGML declaration has `<samp><span class="samp">SHORTTAG YES</span></samp>' and
to <code>nil</code> otherwise. 
</p></blockquote></div>

<div class="defun">
&mdash; User Option: <b>sgml-always-quote-attributes</b><var><a name="index-sgml_002dalways_002dquote_002dattributes-31"></a></var><br>
<blockquote><p>If non-nil, quote all attribute values inserted after finishing edit
attributes.  If this variable is <code>nil</code> and <code>sgml-shorttag</code> is
non-<code>nil</code>, attribute values that consists of only name characters
will not be quoted. 
</p></blockquote></div>

<div class="defun">
&mdash; User Option: <b>sgml-minimize-attributes</b><var><a name="index-sgml_002dminimize_002dattributes-32"></a></var><br>
<blockquote><p>Determines minimization of attributes inserted by edit-attributes.  If
non-nil, omit attribute name if the attribute value is from a token
group.  If <code>max</code>, omit attributes with default value.  Minimization
will only be done if they produce legal SGML (assuming
<code>sgml-omittag</code> and <code>sgml-shorttag</code> are set correctly). 
</p></blockquote></div>

<!--  -->
</body></html>

